Mandriva Linux Security Advisory : aircrack-ng (MDVSA-2015:028)

Low Nessus Plugin ID 81194


The remote Mandriva Linux host is missing a security update.


Updated aircrack-ng package fixes security vulnerabilities :

A length parameter inconsistency in Aircrack-ng before 1.2-rc1 at aireplay tcp_test() which may lead to remote code execution (CVE-2014-8322).

A missing check for data format in Aircrack-ng before 1.2-rc1 at buddy-ng which may lead to denial of service (CVE-2014-8323).

A missing check for invalid values in Aircrack-ng before 1.2-rc1 at airserv-ng net_get() which may lead to denial of service (CVE-2014-8324).


Update the affected aircrack-ng package.

See Also

Plugin Details

Severity: Low

ID: 81194

File Name: mandriva_MDVSA-2015-028.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2015/02/06

Modified: 2015/02/06

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.2

Temporal Score: 2.8

Vector: CVSS2#AV:A/AC:H/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:aircrack-ng, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/02/05

Reference Information

CVE: CVE-2014-8322, CVE-2014-8323, CVE-2014-8324

BID: 71084, 71085, 71342

MDVSA: 2015:028